build: add programs component

From: Igor V. Kovalenko <igor.v.kovalenko@gmail.com>

Upstream PR: https://github.com/madebr/mpg123/pull/11
Bug: https://bugs.gentoo.org/915858
---
 configure.ac |   20 ++++++++++++++++++--
 1 file changed, 18 insertions(+), 2 deletions(-)

diff --git a/configure.ac b/configure.ac
index e47c7d5b..db37ff9b 100644
--- a/configure.ac
+++ b/configure.ac
@@ -440,6 +440,21 @@ AC_ARG_ENABLE(libsyn123,
   ]
 )
 
+AC_ARG_ENABLE(programs,
+  [AS_HELP_STRING([--enable-programs], [build (only) programs (with --disable-components)])],
+  [
+    if test "x$enableval" = xyes
+    then
+      build_programs=yes
+    else
+      build_programs=no
+    fi
+  ],
+  [
+    build_programs=no
+  ]
+)
+
 if test "x$build_all" = xyes; then
   build_programs=yes
   build_libmpg123=yes
@@ -447,8 +462,6 @@ if test "x$build_all" = xyes; then
   build_libout123_modules=yes
   build_libsyn123=yes
   components="programs"
-else
-  build_programs=no
 fi
 
 AM_CONDITIONAL([BUILD_PROGRAMS],  [ test "x$build_programs" = xyes ])
@@ -474,6 +487,9 @@ fi
 if test "x$build_libsyn123" = xyes; then
   components="$components libsyn123"
 fi
+if test "x$build_programs" = xyes; then
+  components="$components programs"
+fi
 components=$(echo $components)
 
 dnl ############## Configurable Options
